Subject: Re: [TEST] conntrack_reverse_clash.sh flakes

From: Florian Westphal <[email-masked]>
Date: Sun, 7 Dec 2025 11:40:12 +0100

Jakub Kicinski <[email-masked]> wrote:
> Ah, one more, the non-reverse conntrack-clash is SKIPping, occasionally:
> https://netdev.bots.linux.dev/contest.html?pass=0&test=conntrack-clash-sh
> 
> If the event it's testing is probabilistic could we make it return XFAIL
> when it doesn't trigger? We try to reserve SKIP for tests skipped
> because tool is missing in env, something isn't built into the kernel
> etc.

Sure, I can switch this to xfail.  Its trying to trigger a conntrack
race but there is no way to force this and I did not want the script
to spin for long when trying to trigger the nat clash undo logic.